<script setup lang="ts">
import NewRecordButton from '@/Salary/component/NewSlipRecord.vue'
import SlipView from './SlipView.vue';
import SearchAndButton from '@/Salary/component/SearchAndButton.vue'
import SalaryRecordTable from '@/Salary/component/SalaryRecordTable.vue'
import { useSalaryStore } from '../stores/salary';

const salaryStore = useSalaryStore()

</script>
<template>
    <v-container app fluid>
        <v-table>
            <template v-slot:top>
                <v-toolbar class="pa-5">
                    <v-toolbar-title>
                        Salary Statement
                    </v-toolbar-title>
                    <v-divider class="mx-4" inset vertical></v-divider>
                    <v-spacer />

                    <NewRecordButton />

                    <v-dialog v-model="salaryStore.dialogPendingDelete" max-width="500px">
                        <v-card>
                            <v-card-title class="text-h5">Are you sure you want to delete this item?</v-card-title>
                            <v-card-actions>
                                <v-spacer></v-spacer>
                                <v-btn color="blue-darken-1" variant="text" @click="salaryStore.closeDelete">Cancel</v-btn>
                                <v-btn color="blue-darken-1" variant="text" @click="salaryStore.delPendingItemConfirm">OK</v-btn>
                                <v-spacer></v-spacer>
                            </v-card-actions>
                        </v-card>
                    </v-dialog>
                    <v-dialog v-model="salaryStore.dialogPaidDelete" max-width="500px">
                        <v-card>
                            <v-card-title class="text-h5">Are you sure you want to delete this item?</v-card-title>
                            <v-card-actions>
                                <v-spacer></v-spacer>
                                <v-btn color="blue-darken-1" variant="text" @click="salaryStore.closeDelete">Cancel</v-btn>
                                <v-btn color="blue-darken-1" variant="text" @click="salaryStore.delPaidItemConfirm">OK</v-btn>
                                <v-spacer></v-spacer>
                            </v-card-actions>
                        </v-card>
                    </v-dialog>
                    <SlipView></SlipView>
                </v-toolbar>
            </template>
            <templat>
                <SalaryRecordTable></SalaryRecordTable>
            </templat>
        </v-table>
    </v-container>
</template>

<style scoped>
.custom-card {
    background-color: #C38154;
    width: auto;
    height: 120px;
}

h1 {
    padding: 2%;
    padding-left: 5%;
    margin: auto;
}

</style>
